%define upstream_name    RDF-Trine
%define upstream_version 1.014

%global __requires_exclude perl\\(RDF::Redland\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Framework to parse, serialize and store RDF
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RDF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::Combinatorics)
BuildRequires: perl(DBD::SQLite) >= 1.140.0
BuildRequires: perl(DBI)
BuildRequires: perl(DBIx::Connector)
BuildRequires: perl(Data::UUID)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(HTTP::Negotiate)
BuildRequires: perl(IRI)
BuildRequires: perl(JSON) >= 2.0.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::Util)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Module::Load::Conditional) >= 0.380.0
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(MooseX::ArrayRef)
BuildRequires: perl(Scalar::Util) >= 1.240.0
BuildRequires: perl(Set::Scalar)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::JSON)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::CSV)
BuildRequires: perl(Text::Table)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(TryCatch)
BuildRequires: perl(URI) >= 1.520.0
BuildRequires: perl(XML::CommonNS) >= 0.40.0
BuildRequires: perl(XML::Namespace)
BuildRequires: perl(XML::SAX) >= 0.960.0
BuildArch:  noarch

%description
RDF::Trine provides an Resource Descriptive Framework (RDF) with an
emphasis on extensibility, API stability, and the presence of a test suite.
The package consists of several components:

* * RDF::Trine::Model - RDF model providing access to a triple store. This
  module would typically be used to access an existing store by a developer
  looking to "Just get stuff done."

* * RDF::Trine::Parser - RDF parsers for various serialization formats
  including RDF/XML, Turtle, RDFa, and RDF/JSON.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/srx2csv
/usr/bin/srx2table


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.14.0-4pclos2017
- rebuild against updates

